Page MenuHomePhabricator

Item selector in Special:NewLexeme should show description
Closed, ResolvedPublic5 Story Points

Description

When selecting an Item it is not possible to choose the right one, because the description is missing

VS.

Also there are questions for consistency:

  • Should we omit showing the ID?
  • Should we show the matching text (domestic cat) ?
  • Should it be a link to the Item page?

@Lydia_Pintscher ?

Consider moving the resulting component to wikibase to make usable from other product (e.g. mediainfo).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 1:15 PM
Jonas triaged this task as Low priority.May 17 2017, 1:16 PM
Jonas updated the task description. (Show Details)May 17 2017, 2:20 PM

My first thought is that we want to be as consistent with the item selector on item pages as possible.

Nikki added a subscriber: Nikki.May 23 2018, 1:51 PM
Pablo-WMDE set the point value for this task to 5.Jun 12 2018, 12:35 PM
Pablo-WMDE updated the task description. (Show Details)

Change 441555 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Show description in the item selector on Special:NewLexeme

https://gerrit.wikimedia.org/r/441555

Pablo-WMDE added a subscriber: Pablo-WMDE.EditedJun 26 2018, 8:15 AM

What was the decision on showing the id generally? Answered by "as consistent with the item selector on item pages as possible"? EntitySelector in lexeme header does show the id after the label.

No label and description properties on data in getLookupMenuOptionsFromData() if not present in item - provide a fallback to id, maybe? Admittedly a strange situation but happened to be the case in my dev.

If an list item with existing label and description is selected the newly created HTML - in escaped fashion - is used as input value (UI-wise not technically).


Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jun 28 2018, 3:21 PM

Change 441555 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Show description in the item selector on Special:NewLexeme

https://gerrit.wikimedia.org/r/441555